cURL
curl --request PATCH \
--url https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calling": {
"video": {}
},
"userIdentityChange": {
"enableIdentityKeyCheck": true
},
"payloadEncryption": {},
"storageConfiguration": {
"dataLocalizationRegion": "<string>"
}
}
'import requests
url = "https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/settings"
payload = {
"calling": { "video": {} },
"userIdentityChange": { "enableIdentityKeyCheck": True },
"payloadEncryption": {},
"storageConfiguration": { "dataLocalizationRegion": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calling: {video: {}},
userIdentityChange: {enableIdentityKeyCheck: true},
payloadEncryption: {},
storageConfiguration: {dataLocalizationRegion: '<string>'}
})
};
fetch('https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Phone Settings
Update phone settings
Update advanced phone settings including calling, encryption, and storage configuration
PATCH
/
v1
/
whatsapp
/
phone-numbers
/
{phoneNumberId}
/
settings
cURL
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Path Parameters
WhatsApp phone number ID (internal Chirp ID)
Example:
"wapn_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Body
application/json
Calling settings to update
Show child attributes
Show child attributes
User identity change settings to update
Show child attributes
Show child attributes
Payload encryption settings to update
Show child attributes
Show child attributes
Storage configuration settings to update
Show child attributes
Show child attributes
Response
Phone settings updated successfully
Available options:
true ⌘I